Forum Güncelleme

Başlatan medeniyetmuhendisi, 30 Kas 2016 10:01

« önceki - sonraki »

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

medeniyetmuhendisi

Forum sitemi farklı bir hosting firmasına taşıdım. Taşıma sonrasında upgrade.php dosyasını çalıştırarak forum veribanını güncellemek istedim ancak
upgrade.php dosyalarını ftp den yükleyip çalıştırmaya çalıştığımda  şu hata ile karşılaşıyorum

The upgrader found some old or outdated files.

Please make certain you uploaded the new versions of all the files included in the package.


Sorun nedir anlamadım.. yardımcı olursanız memnun olurum..

Şöyle bir durum daha var taşıma sonrasında 2 günlük bir veri kaybı yaşadım.  2 gün önceki forum durumunu bugün ki hal olarak var sayarsam Bilgisayardan girdiğimde sorunsuz giriyorum ancak telefondan girdiğimde ise ilk açıldığında güncel index sayfası açılırken üye girişi yaptığımda beni 1 gün sonraki indexe götürüyor.

snrj

forum taşıma işleminden sonra upgrade yapmanız gerekmez ama tabi yapmak istiyorsanız tüm dosyaları atmanız gerekiyor sadece upgrade.php dosyasını attıysanız ana dizindeki index.php gibi dosyaları eski görme ihtimali var zaten dosyaların eski olduğu uyarısını vermiş index.php de akıldan yazıyorum $forumversiyon="2.0.12" gibi kısımları yükseltmeniz gerekiyor tüm dosyaları atmıcaksanız

diğer sorun içinse forum bakımındaki rutin bakımların hepsini yapın dosya önbelleği vs.. gibi

medeniyetmuhendisi

index.php de notpad ile bunu değiştirip ftp ye atmam yeterli mi çünkü 2.0.12 versiyonunu çoktan güncellemiştim ben. ama taşıma işleminden sonra upgrade.php yi çalıştırmak istedim ama deiğim gibi bu hatayı aldım güncellememe rağmen neden versin ki bu hatayı ekteki dosyaları attım dizine bu arada

snrj

paket güncellemeler genelde direk güvenlik açığını veya değişim gereken yerleri değiştirir
large upgrade işleminde ise sources tehmes vs.. gibi tüm dosya değişimini ve veritabanı kapsar tabi bu arada kurduğunuz modlarda kalkmış olur
yedek alıp tüm dosyaları değiştirip upgrade işlemini yapmanız lazım
eski dosyaları geri atsanız dahi paket yöneticisinde paketler kurulu gözükmücektir tekrar kurmaya kalktığınızda aynı kodlama iki sefer alacağı için hatalara sebebiyet verebilir
bu yüzden modları tekrar kurarım diyorsanız large upgrade işlemini yapınız aksi halde upgrade yapmanızın bir anlamı yok